Bug 1112509 (CVE-2014-4617)

Summary: CVE-2014-4617 gnupg: infinite loop when decompressing data packets
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bcl, carnil, jamielinux, pchavan, rdieter, ruckc, sardella, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gnupg 1.4.17, gnupg 2.0.24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1112510, 1112511    
Bug Blocks: 1112513, 1112679, 1112680    

Description Murray McAllister 2014-06-24 06:07:28 UTC
Jean-René Reinhard, Olivier Levillain, and Florian Maury reported a denial of service flaw in the way GnuPG parsed certain compressed data packets. An attacker could use this flaw to send specially crafted input data to GnuPG, making GnuPG enter an infinite loop when parsing data.

This issue has been resolved in upstream version 1.4.17:

http://lists.gnupg.org/pipermail/gnupg-announce/2014q2/000344.html

Fix in 1.4 branch:

http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commit;h=11fdfcf82bd8d2b5bc38292a29876e10770f4b0a

Fix in 2.0 branch:

http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commit;h=014b2103fcb12f261135e3954f26e9e07b39e342

GnuPG version 1.4.17 is currently in Fedora 19 and 20 testing.

Comment 1 Murray McAllister 2014-06-24 06:11:15 UTC
Created gnupg2 tracking bugs for this issue:

Affects: fedora-all [bug 1112510]
Affects: epel-5 [bug 1112511]

Comment 2 Murray McAllister 2014-06-24 06:11:50 UTC
gnupg in Fedora was affected, but I've not filed bugs and marked it as 'notaffected' due to the fixed version already being in Testing.

Comment 3 Murray McAllister 2014-06-24 06:13:16 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/06/24/1

Comment 5 Vasyl Kaigorodov 2014-06-24 13:48:18 UTC
*** Bug 1112677 has been marked as a duplicate of this bug. ***

Comment 6 Vasyl Kaigorodov 2014-06-24 13:48:34 UTC
*** Bug 1112678 has been marked as a duplicate of this bug. ***

Comment 7 Vincent Danen 2014-06-24 20:01:09 UTC
This issue was also corrected in 2.0.24:

http://lists.gnupg.org/pipermail/gnupg-announce/2014q2/000345.html

Comment 8 Vincent Danen 2014-06-24 20:01:53 UTC
Forgot to note it was assigned CVE-2014-4617:

http://openwall.com/lists/oss-security/2014/06/24/14

Comment 9 Fedora Update System 2014-06-29 02:52:24 UTC
gnupg2-2.0.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Josh Bressers 2014-06-30 20:33:32 UTC
Statement:

This issue affects the versions of gnupg2 as shipped with Red Hat Enterprise Linux 5, 6 and 7 and gnupg as shipped with Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 11 Fedora Update System 2014-07-01 07:23:05 UTC
gnupg2-2.0.24-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 ruckc@yahoo.com 2014-09-26 15:12:14 UTC
What is the status of closing this on RHEL5/6?  I have security nazi's begging for it, or at least an explanation of non-applicability.

Comment 13 Murray McAllister 2014-10-02 08:15:37 UTC
(In reply to ruckc@yahoo.com from comment #12)
> What is the status of closing this on RHEL5/6?  I have security nazi's
> begging for it, or at least an explanation of non-applicability.

Hello,

This has been deferred for RHEL 5 and 6:

https://bugzilla.redhat.com/show_bug.cgi?id=1112509#c10

We do not have any immediate plans to fix the issue.